Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1752023 - build ovn-kubernetes with cgo disabled.
Summary: build ovn-kubernetes with cgo disabled.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Phil Cameron
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-13 13:16 UTC by Casey Callendrello
Modified: 2019-10-16 06:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:41:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 24 0 None closed bug 1752023: images: disable cgo 2020-03-11 08:09:48 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:41:23 UTC

Description Casey Callendrello 2019-09-13 13:16:43 UTC
Description of problem:
CNI binaries are special - we build them as part of the container build pipeline, then "leak" them out to the host.  Unfortunately, we *also* have special build tooling that injects openssl in to our release binaries.

We're seeing occasional situations where our binaries coredump repeatedly - this is tracked in 1725832.

In the mean time, any CNI binaries must be built with cgo disabled in the dockerfile.

Comment 2 Dan Winship 2019-09-13 14:53:33 UTC
https://github.com/openshift/sdn/pull/34 is the corresponding PR for openshift-sdn. This bug is just about ovn-kubernetes's CNI plugin. I think Casey already did everything else.

Comment 3 Phil Cameron 2019-09-13 15:37:17 UTC
https://github.com/openshift/ovn-kubernetes/pull/24

Comment 6 errata-xmlrpc 2019-10-16 06:41:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.